SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
SocketDefines.h File Reference

Go to the source code of this file.

## Macros

#define | closesocket__ close
| Internal.
#define | select__ select
#define | accept__ accept
#define | connect__ connect
#define | socket__ socket
#define | bind__ bind
#define | getsockname__ getsockname
#define | getsockopt__ getsockopt
#define | ioctlsocket__ ioctlsocket
#define | listen__ listen
#define | recv__ recv
#define | recvfrom__ recvfrom
#define | sendto__ sendto
#define | send__ send
#define | setsockopt__ setsockopt
#define | shutdown__ shutdown
#define | WSASendTo__ WSASendTo

## Macro Definition Documentation

#define accept__ accept

Definition at line 92 of file SocketDefines.h.

#define bind__ bind

Definition at line 99 of file SocketDefines.h.

#define closesocket__ close

Internal.

Definition at line 89 of file SocketDefines.h.

Referenced by SLNet::RNS2_Berkley::~RNS2_Berkley().

#define connect__ connect

Definition at line 93 of file SocketDefines.h.

#define getsockname__ getsockname

Definition at line 100 of file SocketDefines.h.

Referenced by SLNet::SocketLayer::GetSystemAddress(), and SLNet::SocketLayer::GetSystemAddress_Old().

#define getsockopt__ getsockopt

Definition at line 101 of file SocketDefines.h.

#define ioctlsocket__ ioctlsocket

Definition at line 105 of file SocketDefines.h.

Referenced by SLNet::SocketLayer::SetSocketOptions().

#define listen__ listen

Definition at line 106 of file SocketDefines.h.

#define recv__ recv

Definition at line 107 of file SocketDefines.h.

#define recvfrom__ recvfrom

Definition at line 108 of file SocketDefines.h.

#define select__ select

Definition at line 90 of file SocketDefines.h.

#define send__ send

Definition at line 114 of file SocketDefines.h.

#define sendto__ sendto

Definition at line 112 of file SocketDefines.h.

#define setsockopt__ setsockopt

Definition at line 118 of file SocketDefines.h.

Referenced by SLNet::SocketLayer::SetSocketOptions().

#define shutdown__ shutdown

Definition at line 120 of file SocketDefines.h.

#define socket__ socket

Definition at line 97 of file SocketDefines.h.

Referenced by SLNet::SocketLayer::GetSubNetForSocketAndIp().

#define WSASendTo__ WSASendTo

Definition at line 121 of file SocketDefines.h.